[haiku-commits] r35744 - haiku/trunk/data/bin

  • From: mattmadia@xxxxxxxxx
  • To: haiku-commits@xxxxxxxxxxxxx
  • Date: Wed, 3 Mar 2010 21:58:49 +0100 (CET)

Author: mmadia
Date: 2010-03-03 21:58:49 +0100 (Wed, 03 Mar 2010)
New Revision: 35744
Changeset: http://dev.haiku-os.org/changeset/35744/haiku
Ticket: http://dev.haiku-os.org/ticket/5528

Modified:
   haiku/trunk/data/bin/installoptionalpackage
Log:
Exit immediately if wget fails to download any one of its files. This will
allow future runs to be successful. Fixes #5528


Modified: haiku/trunk/data/bin/installoptionalpackage
===================================================================
--- haiku/trunk/data/bin/installoptionalpackage 2010-03-03 19:38:56 UTC (rev 
35743)
+++ haiku/trunk/data/bin/installoptionalpackage 2010-03-03 20:58:49 UTC (rev 
35744)
@@ -253,6 +253,13 @@
 }
 
 
+function ErrorExit()
+{
+       echo $1
+       exit 1
+}
+
+
 function Init()
 {
        
@@ -292,7 +299,7 @@
                local baseURL=http://dev.haiku-os.org/export/
                local revision=`uname -v | awk '{print $1}' | sed -e 's/r//'`
                local 
url="${baseURL}${revision}/haiku/trunk/build/jam/${buildfile}"
-               wget -nv ${url} > /dev/null 2>&1
+               wget -q ${url} || ErrorExit "...failed to download $buildfile"
        fi 
 }
 


Other related posts:

  • » [haiku-commits] r35744 - haiku/trunk/data/bin - mattmadia